import std.symtable;
import std.path;
import std.stdio;

void func2() {
    int x = 0;
    int y = 1 / x;
}

void func() {
    func2();
}

void main(char[][] args) {
    try {
        func();
    }
    catch (Error e) {
        version (Win32) {
            Symtable s =
                new Symtable(addExt(args[0], "map"), SymtableType.DMC_MAP);
        }
        version (linux) {
            Symtable s =
                new Symtable(addExt(args[0], "nm"), SymtableType.BINUTILS_NM);
        }
        char[][] bt = e.getBacktrace(s);
        foreach (l; bt) {
            writefln("<li>%s", l);
        }
    }
}
